<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TIPregelGraphLibrary: visitorDFS&lt; CVertex &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TIPregelGraphLibrary
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search", false, 'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="structvisitorDFS-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">visitorDFS&lt; CVertex &gt; Struct Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for visitorDFS&lt; CVertex &gt;:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structvisitorDFS.png" usemap="#visitorDFS&lt; CVertex &gt;_map" alt=""/>
  <map id="visitorDFS&lt; CVertex &gt;_map" name="visitorDFS&lt; CVertex &gt;_map">
<area href="classvisitor__base.html" alt="visitor_base&lt; CVertex, std::vector&lt; CVertex::ID_TYPE &gt; &gt;" shape="rect" coords="0, 0, 344, 24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ac5843a67967cf92939519aa5d1332993"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5843a67967cf92939519aa5d1332993"></a>
typedef CVertex::ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>ID_TYPE</b></td></tr>
<tr class="separator:ac5843a67967cf92939519aa5d1332993"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:a240d1ec7f784e01b459ed5ee8d9388e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a240d1ec7f784e01b459ed5ee8d9388e1"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_vertex</b> (ID_TYPE &amp;node)</td></tr>
<tr class="separator:a240d1ec7f784e01b459ed5ee8d9388e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b1b4ead8cd028300f9d222f89450031"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3b1b4ead8cd028300f9d222f89450031"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>pop_vertex</b> (ID_TYPE &amp;node)</td></tr>
<tr class="separator:a3b1b4ead8cd028300f9d222f89450031"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_methods_classvisitor__base"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classvisitor__base')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classvisitor__base.html">visitor_base&lt; CVertex, std::vector&lt; CVertex::ID_TYPE &gt; &gt;</a></td></tr>
<tr class="memitem:ac5b712dd2a74db9b09caa2aaabb81f4e inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac5b712dd2a74db9b09caa2aaabb81f4e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>init</b> ()</td></tr>
<tr class="separator:ac5b712dd2a74db9b09caa2aaabb81f4e inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef4ab8bb3668d3e21221a79c5f399bc6 inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef4ab8bb3668d3e21221a79c5f399bc6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>add_node</b> (ID_TYPE &amp;node)</td></tr>
<tr class="separator:aef4ab8bb3668d3e21221a79c5f399bc6 inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9d7c1e3452ac2e84d2ce57bc6c0d889e inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9d7c1e3452ac2e84d2ce57bc6c0d889e"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>remove_node</b> (ID_TYPE &amp;node)</td></tr>
<tr class="separator:a9d7c1e3452ac2e84d2ce57bc6c0d889e inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a092c03cd669015f48c109c113ff441e1 inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a092c03cd669015f48c109c113ff441e1"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>is_empty</b> ()</td></tr>
<tr class="separator:a092c03cd669015f48c109c113ff441e1 inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5727ae112f45a483ca4e35e984b3b69c inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5727ae112f45a483ca4e35e984b3b69c"></a>
ID_TYPE&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> ()</td></tr>
<tr class="separator:a5727ae112f45a483ca4e35e984b3b69c inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b743da3f85472368dffc081f945faa inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2b743da3f85472368dffc081f945faa"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>discover_vertex</b> (CVertex &amp;node)</td></tr>
<tr class="separator:ae2b743da3f85472368dffc081f945faa inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6c230391e1b11f030cb8dbf81454cd6 inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae6c230391e1b11f030cb8dbf81454cd6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>discover_vertex</b> (CVertex &amp;node, CVertex &amp;parent)</td></tr>
<tr class="separator:ae6c230391e1b11f030cb8dbf81454cd6 inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9567b9232d59635b4f64c90f3d30e7a5 inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9567b9232d59635b4f64c90f3d30e7a5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>examine_edge</b> (EDGE_ITERATOR)</td></tr>
<tr class="separator:a9567b9232d59635b4f64c90f3d30e7a5 inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad6429f5ee16faab8f238f1fd0653b15a inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6429f5ee16faab8f238f1fd0653b15a"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>back_edge</b> (EDGE_ITERATOR)</td></tr>
<tr class="separator:ad6429f5ee16faab8f238f1fd0653b15a inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a622161fdfe6278a39463bf802c193ef0 inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a622161fdfe6278a39463bf802c193ef0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>finish_vertex</b> (CVertex &amp;)</td></tr>
<tr class="separator:a622161fdfe6278a39463bf802c193ef0 inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a928ff451f4a7156ed03982b3fde8bb57 inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a928ff451f4a7156ed03982b3fde8bb57"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>visit_gray_vertex</b> (CVertex &amp;node, CVertex &amp;parent)</td></tr>
<tr class="separator:a928ff451f4a7156ed03982b3fde8bb57 inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0d7faaa26480637cf866ca1da69fad38 inherit pub_methods_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0d7faaa26480637cf866ca1da69fad38"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>visit_black_vertex</b> (CVertex &amp;node, CVertex &amp;parent)</td></tr>
<tr class="separator:a0d7faaa26480637cf866ca1da69fad38 inherit pub_methods_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classvisitor__base"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classvisitor__base')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classvisitor__base.html">visitor_base&lt; CVertex, std::vector&lt; CVertex::ID_TYPE &gt; &gt;</a></td></tr>
<tr class="memitem:a74943879cfe5bc7a1127c95a7f16f11a inherit pro_attribs_classvisitor__base"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a74943879cfe5bc7a1127c95a7f16f11a"></a>
std::vector&lt; CVertex::ID_TYPE &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>Q</b></td></tr>
<tr class="separator:a74943879cfe5bc7a1127c95a7f16f11a inherit pro_attribs_classvisitor__base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>src/standard/modules/data_structures/base/<a class="el" href="visitor_8hpp_source.html">visitor.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 26 2014 15:59:02 for TIPregelGraphLibrary by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
